Package org.eclipse.cdt.core.settings.model

## Interface ICMultiFolderDescription

All Superinterfaces:
  `ICFolderDescription`, `ICResourceDescription`, `ICSettingBase`, `ICSettingContainer`, `ICSettingObject`

    public interface ICMultiFolderDescription
    extends ICFolderDescription

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICLanguageSetting[][]` `getLanguageSettingsM​(Comparator<Object> comp)`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICFolderDescription

`createLanguageSettingForContentTypes, createLanguageSettingForExtensions, getLanguageSettingForFile, getLanguageSettings, getNestedResourceDescription, getNestedResourceDescriptions, getNestedResourceDescriptions, isRoot`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICResourceDescription

`canExclude, getParentFolderDescription, getPath, isExcluded, setExcluded, setPath`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingContainer

`getChildSettings`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingObject

`getConfiguration, getId, getName, getParent, getType, isReadOnly, isValid`

### Method Detail

#### getLanguageSettingsM

    ICLanguageSetting[][] getLanguageSettingsM​(Comparator<Object> comp)